package cn.com.tenlion.organizationmanagement.pojo.vos.organization;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: OrganizationVO
 * @Description: 组织管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 11:06:42
 * @Version: 3.0
 **/
@ApiModel
public class OrganizationVO {

    @ApiModelProperty(name = "organizationName", value = "组织名称")
    private String organizationName;
    @ApiModelProperty(name = "organizationUserNum", value = "组织人员数量")
    private Integer organizationUserNum;
    @ApiModelProperty(name = "organizationPrincipal", value = "组织负责人")
    private String organizationPrincipal;
    @ApiModelProperty(name = "organizationDesc", value = "组织描述")
    private String organizationDesc;
    @ApiModelProperty(name = "organizationImage", value = "组织图片")
    private String organizationImage;
    @ApiModelProperty(name = "organizationType", value = "组织类型")
    private String organizationType;

    public String getOrganizationName() {
        return organizationName == null ? "" : organizationName.trim();
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Integer getOrganizationUserNum() {
        return organizationUserNum == null ? 0 : organizationUserNum;
    }

    public void setOrganizationUserNum(Integer organizationUserNum) {
        this.organizationUserNum = organizationUserNum;
    }

    public String getOrganizationPrincipal() {
        return organizationPrincipal == null ? "" : organizationPrincipal.trim();
    }

    public void setOrganizationPrincipal(String organizationPrincipal) {
        this.organizationPrincipal = organizationPrincipal;
    }

    public String getOrganizationDesc() {
        return organizationDesc == null ? "" : organizationDesc.trim();
    }

    public void setOrganizationDesc(String organizationDesc) {
        this.organizationDesc = organizationDesc;
    }

    public String getOrganizationImage() {
        return organizationImage == null ? "" : organizationImage.trim();
    }

    public void setOrganizationImage(String organizationImage) {
        this.organizationImage = organizationImage;
    }

    public String getOrganizationType() {
        return organizationType;
    }

    public void setOrganizationType(String organizationType) {
        this.organizationType = organizationType;
    }
}
